Create a worker dependent
curl --request POST \
--url https://api.plane.com/v1/worker-dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"worker": "<string>",
"name": {},
"dob": "<string>",
"relationship": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.plane.com/v1/worker-dependents"
payload = {
"worker": "<string>",
"name": {},
"dob": "<string>",
"relationship": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
worker: '<string>',
name: {},
dob: '<string>',
relationship: '<string>',
status: '<string>'
})
};
fetch('https://api.plane.com/v1/worker-dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"worker": "wrkr_8oWZpQ2rL4sk",
"name": { "first": "Amara", "last": "Okafor" },
"dob": "1990-04-12",
"relationship": "spouse"
}
{
"id": "wdep_8oWZpQ2rL4sk",
"object": "worker_dependent",
"worker": "wrkr_8oWZpQ2rL4sk",
"name": { "first": "Amara", "last": "Okafor", "full": "Amara Okafor" },
"dob": "1990-04-12",
"relationship": "spouse",
"status": "active",
"created": "2026-05-29T12:00:00Z",
"updated": "2026-05-29T12:00:00Z"
}
Dependents
Create a worker dependent
Add a dependent to a worker.
POST
/
v1
/
worker-dependents
Create a worker dependent
Parameters
ID of the worker this dependent belongs to.
The dependent’s name. Same shape as a worker’s name (e.g.
first, last).Date of birth.
Relationship to the worker. One of
spouse, child, domestic_partner,
step_child, adopted_child, foster_child, grandchild, civil_union,
legal_guardianship, ex_spouse, or other.Dependent status. One of
active or inactive. Defaults to active.Returns
Returns the created Worker dependent object.{
"worker": "wrkr_8oWZpQ2rL4sk",
"name": { "first": "Amara", "last": "Okafor" },
"dob": "1990-04-12",
"relationship": "spouse"
}
{
"id": "wdep_8oWZpQ2rL4sk",
"object": "worker_dependent",
"worker": "wrkr_8oWZpQ2rL4sk",
"name": { "first": "Amara", "last": "Okafor", "full": "Amara Okafor" },
"dob": "1990-04-12",
"relationship": "spouse",
"status": "active",
"created": "2026-05-29T12:00:00Z",
"updated": "2026-05-29T12:00:00Z"
}
Was this page helpful?
⌘I